[Rake-devel] An official pull request for auto-parallelizing with -j.

Hongli Lai hongli at phusion.nl
Tue Apr 14 04:29:58 EDT 2009


On Tue, Apr 14, 2009 at 6:46 AM, James M. Lawrence
<quixoticsycophant at gmail.com> wrote:
> I wrote this a while ago (needs ruby-graphviz gem) --
> http://github.com/quix/quix/blob/8644f4e763bfbdc3d14a451bc5651dd7e107d5bf/rakelib/depgraph.rake
>
> % rake 'depgraph[some_task_to_graph]'
>
> I guess your dependency graph is linear-ish.  I would of course be
> very interested if you could find a specific example which shows a
> problem with -j.

I don't think I specified my dependencies linearish though I could
have made some mistake somewhere.

I'm unable to build a dependency graph. When I run your Rake task I
get an obscure error message:

  Error: /var/folders/GU/GUqfmXQuEea+K0N3SJktRk+++TI/-Tmp-/rake..88938.0:3:
syntax error near line 3
  context:   >>>  ext/ <<< apache2/mod_passenger.so;

-- 
Phusion | The Computer Science Company

Web: http://www.phusion.nl/
E-mail: info at phusion.nl
Chamber of commerce no: 08173483 (The Netherlands)


More information about the Rake-devel mailing list